Warning during serverless install causing build to fail

Andy's Avatar

Andy

08 Jul, 2019 08:00 PM

Seeing the following warning when installing serverless, which is causing our build to fail:

ERROR: warning serverless > json-refs > path-loader > superagent@3.8.3: Please note that v5.0.1+ of superagent removes User-Agent header by default, therefore you may need to add it yourself (e.g. GitHub blocks requests without a User-Agent header). This notice will go away with v5.0.2+ once it is released.
At C:\projects\build\serverless.build.ps1:25 char:5
+ yarn global add serverless
+ ~~~~~~~~~~~~~~~~~~~~~~~~~~

Anything we can add in our ps script to suppress these?

  1. 1 Posted by Ilya Finkelshte... on 08 Jul, 2019 08:51 PM

    Ilya Finkelshteyn's Avatar

    npm write warnings to stderr, which is treated by (custom PowerShell host where AppVeyor runs PowerShell code), as error. Safest way is to run npm command in CMD mode.

  2. Ilya Finkelshteyn closed this discussion on 07 Sep, 2019 09:01 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac